#!/bin/bash

# Color

RESTORE=$(echo -en '\001\033[0m\002')
GREEN=$(echo -en '\001\033[00;32m\002')
RED=$(echo -en '\001\033[00;31m\002')
BOLD=$(echo -en '\001\033[1m\002')

# Detect if we are running in QEMU
# append a string in qemu startup command

grep -F 'qemuci' /proc/cmdline || {
    echo "[  ${GREEN}OK${RESTORE}  ] Found device ${BOLD}/dev/null.${RESTORE}" > /dev/console
    exit 0
}

mount -t 9p -o trans=virtio ninep /mnt || {
    echo "[${RED}Failed${RESTORE}] ${BOLD}No mount point found.${RESTORE}" > /dev/console
    exit 0
}

FILE=/mnt/bootstrap.sh
if [ -f "$FILE" ]; then
    echo '

 ██████╗ ███████╗████████╗███████╗███████╗████████╗███████╗██╗   ██╗██╗████████╗███████╗
██╔═══██╗██╔════╝╚══██╔══╝██╔════╝██╔════╝╚══██╔══╝██╔════╝██║   ██║██║╚══██╔══╝██╔════╝
██║   ██║█████╗     ██║   █████╗  ███████╗   ██║   ███████╗██║   ██║██║   ██║   █████╗  
██║   ██║██╔══╝     ██║   ██╔══╝  ╚════██║   ██║   ╚════██║██║   ██║██║   ██║   ██╔══╝  
╚██████╔╝███████╗   ██║   ███████╗███████║   ██║   ███████║╚██████╔╝██║   ██║   ███████╗
 ╚═════╝ ╚══════╝   ╚═╝   ╚══════╝╚══════╝   ╚═╝   ╚══════╝ ╚═════╝ ╚═╝   ╚═╝   ╚══════╝

Bootstrap script found!
oetestsuite will running in the background.

' > /dev/console
    cp /mnt/bootstrap.sh /root/bootstrap.sh
    /bin/bash /root/bootstrap.sh

else
    echo '

 ██████╗ ███████╗████████╗███████╗███████╗████████╗███████╗██╗   ██╗██╗████████╗███████╗
██╔═══██╗██╔════╝╚══██╔══╝██╔════╝██╔════╝╚══██╔══╝██╔════╝██║   ██║██║╚══██╔══╝██╔════╝
██║   ██║█████╗     ██║   █████╗  ███████╗   ██║   ███████╗██║   ██║██║   ██║   █████╗  
██║   ██║██╔══╝     ██║   ██╔══╝  ╚════██║   ██║   ╚════██║██║   ██║██║   ██║   ██╔══╝  
╚██████╔╝███████╗   ██║   ███████╗███████║   ██║   ███████║╚██████╔╝██║   ██║   ███████╗
 ╚═════╝ ╚══════╝   ╚═╝   ╚══════╝╚══════╝   ╚═╝   ╚══════╝ ╚═════╝ ╚═╝   ╚═╝   ╚══════╝

Bootstrap script not found!
oetestsuite will exit.

' > /dev/console
    exit 0
fi
